#
# spec file for package php5-pear-Net_URL
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Net_URL
%define pear_name  Net_URL
%define pear_sname net_url
Summary:        Easy parsing of Urls
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Servers
Version:        1.0.15
Release:        22.1
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4.3
%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif
BuildRequires:  php-pear
Requires:       php >= 4.3
Requires:       php-pear
#
Provides:       pear-%{pear_name}
Provides:       php-pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Provides easy parsing of URLs and their constituent parts.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc %{pear_name}-%{version}/docs/*

%changelog
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- SLE11 compatible dependency naming
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- pkg rename php5-pear-Net_URL
- merge with php-pear-net_url, php5-pear-net_url
- dr for php-pear-net_url, php5-pear-net_url
- added php-macros
- cleanup spec
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Fri May 22 2009 chris@computersalat.de
- fixed unversioned self-provide
* Thu May 21 2009 chris@computersalat.de
- beautify spec
  o new spec header
  o package rename due to package convention
  o removed php4 stuff, deps
  o added Provides and Obsoletes for old package names.
    This should not break deps
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
- some rpmlint fixes
* Tue Dec 23 2008 rbos@opensuse.org
- Added php5-pear-net_socket as dependency, this rpms provides
  the directory %%%%{peardir}/Net
* Thu Dec 18 2008 rbos@opensuse.org
- Made it work on openSUSE_11.1 and beyond again
* Thu Dec  7 2006 suse-tux@gmx.de
- use --packagingroot instead of --installroot
- fixed php-memory-problem during the build
* Wed Jun 21 2006 suse-tux@gmx.de
- initial build
